Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002060 [Piwigo] users & groups feature N/A 2010.12.14 14:18 2011.01.18 15:50
Reporter plg View Status public  
Assigned To Pat
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.0RC1 Product Version 2.1.0
  Target Version 2.2.0RC1 Product Build
Summary 0002060: remove adviser mode
Description See details on http://piwigo.org/forum/viewtopic.php?id=15580 [^]

The adviser mode is not secure and complex to activate + many admin pages do not take it into account and certainly no plugin admin pages.

Users currently set as "admin" status + adviser mode are updated to "normal" status.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0004548)
svn (reporter)
2010.12.14 14:47

[Subversion] r8126 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2060: Remove adviser mode.
First commit: only php files.
(0004549)
svn (reporter)
2010.12.14 14:49

[Subversion] r8127 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2060: Add 91-database.php (set admin or webmaster advisers as normal user).
Remove $conf['allow_adviser'] form config_default.inc.php.
(0004550)
svn (reporter)
2010.12.14 14:55

[Subversion] r8128 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2060: Remove {$TAG_INPUT_ENABLED} from tpl files.
(0004551)
svn (reporter)
2010.12.14 15:10

[Subversion] r8129 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2060: Remove adviser language keys from lang.php files.
(0004552)
svn (reporter)
2010.12.14 15:14

[Subversion] r8130 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2060: Remove adviser help from user_list.html files.
(0004553)
svn (reporter)
2010.12.14 15:36

[Subversion] r8131 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2060: Remove adviser from db structure.
Remove adviser from user_list page and some db queries.
(0004593)
svn (reporter)
2010.12.24 00:15

[Subversion] r8274 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2060: remove adivser mode on web API methods imported from the pwg.images.addSimple plugin
(0004610)
svn (reporter)
2010.12.31 13:43

[Subversion] r8407 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2060: remove adviser mode on the new Batch Manager

- Issue History
Date Modified Username Field Change
2010.12.14 14:18 plg New Issue
2010.12.14 14:18 plg Status new => assigned
2010.12.14 14:18 plg Assigned To => Pat
2010.12.14 14:18 plg browser => any
2010.12.14 14:18 plg Web server => Apache 1.3.x
2010.12.14 14:18 plg Summary remove adiver mode => remove adviser mode
2010.12.14 14:47 svn Checkin
2010.12.14 14:47 svn Note Added: 0004548
2010.12.14 14:49 svn Checkin
2010.12.14 14:49 svn Note Added: 0004549
2010.12.14 14:55 svn Checkin
2010.12.14 14:55 svn Note Added: 0004550
2010.12.14 15:10 svn Checkin
2010.12.14 15:10 svn Note Added: 0004551
2010.12.14 15:14 svn Checkin
2010.12.14 15:14 svn Note Added: 0004552
2010.12.14 15:36 svn Checkin
2010.12.14 15:36 svn Note Added: 0004553
2010.12.22 12:17 Pat Resolution open => fixed
2010.12.24 00:15 svn Checkin
2010.12.24 00:15 svn Note Added: 0004593
2010.12.31 13:43 svn Checkin
2010.12.31 13:43 svn Note Added: 0004610
2011.01.18 15:50 plg Status assigned => closed
2011.01.18 15:50 plg Fixed in Version => 2.2.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker